Bug 179213 - erase cd-rw fails
erase cd-rw fails
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
erase cd-rw-k3b
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-28 04:14 EST by trey
Modified: 2008-03-09 23:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 23:49:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description trey 2006-01-28 04:14:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.open k3b
2.open cd blanking
3.click start
  

Actual Results:  a dialog shows up that says erase cd-rw failed

Expected Results:  erase the cd

Additional info:

System
-----------------------
K3b Version: 0.12.10

KDE Version: 3.5.0-0.4.fc4 Red Hat
QT Version:  3.3.4
Kernel:      2.6.14-1.1656_FC4
Devices
-----------------------
MITSUMI CR-4804TE 2.2C (/dev/hdd, ) at /media/cdrecorder [CD-R; CD-RW; CD-ROM] [Error] [TAO; RAW; RAW/R16; RAW/R96R]

Used versions
-----------------------
cdrecord: 2.1

cdrecord command:
-----------------------
/usr/bin/cdrecord -v gracetime=2 dev=/dev/hdd speed=4 -tao -eject blank=fast -force 

cdrecord
-----------------------
/usr/bin/cdrecord: Cannot allocate memory. WARNING: Cannot do mlockall(2).

/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
/usr/bin/cdrecord: Operation not permitted. WARNING: Cannot set RR-scheduler
/usr/bin/cdrecord: Permission denied. WARNING: Cannot set priority using setpriority().
/usr/bin/cdrecord: WARNING: This causes a high risk for buffer underruns.
scsidev: '/dev/hdd'
devname: '/dev/hdd'
scsibus: -2 target: -2 lun: -2
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
Error trying to open /dev/hdd exclusively ... retrying in 1 second.
/usr/bin/cdrecord: Device or resource busy. Cannot open '/dev/hdd'. Cannot open SCSI driver.
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
/usr/bin/cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you are root.
/usr/bin/cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
Comment 1 Harald Hoyer 2006-01-30 02:30:17 EST
/usr/bin/cdrecord: Device or resource busy. Cannot open '/dev/hdd'. Cannot open
SCSI driver.

Seems like it is still mounted.. :) (Maybe automounted on insert)
Comment 2 David Nielsen 2006-02-28 07:58:17 EST
Shouldn't this be filed against cdrecord or kernel depending on the nature of
the bug. Also see: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=179862
Comment 3 Harald Hoyer 2006-02-28 08:02:07 EST
no... David... totally different...
Comment 4 David Timms 2006-03-23 08:27:46 EST
dupes ?
bug 184251 bug 186214
Comment 5 David Timms 2006-03-23 08:49:20 EST
I see the same issue. The CD RW is automounted since it already has data on it:
you want to erase and reuse the disk. The workaround for me is to manually
umount via a terminal: this is not a user thing to be doing.
There used to be a thing called ~"user mount tools" that you could unmount stuff
with, I doesn't seem to be installed / no longer packaged ?. Also there is an
options tool for removable media where you could disable automount - but this is
not what you want either.

So the question is where should this issue be addressed ?

- gnome's automount - there is an icon on the desktop, right clicking in this
incarnation (was OK FC4 I think - unmount) provides an eject option; but this
ejects the disc, at which point you can't erase it. Re-inserting causes the
automount. Enough to drive sane people over the wall  ;-) 

A solution would be for the automounted CD's context menu to provide an Unmount
command. simple/obvious (if the desktop is visible), does not require users to
do command line hacks.

- k3b - is it up to k3b to forcefully unmount the CD-RW so that erase / write
process can begin (or at least list exactly what is holding it from unmounting
the disk so that erase can start). It probably needs better interpretation of
error codes received to state to user how to fix the problem, rather than
failing (a bad impression). And a button to instruct k3b to "really" unmount it
(no matter what), when the error occurs.

- is it up2 the cdrecord tools to unmount it ?

[no workarounds - only permanent user usable solutions]

from fedora-test-list:
...
gnome-umount -d /dev/cdrw
...
using either K3b or XCD-Roast
...
Jesse Keating wrote: 
On Wednesday 22 March 2006 03:28, Arjan van de Ven wrote:
> > it looks like something automatically mounted the cd for you as
> > "convenience" ...

Gnome does the right thing and unmounts the volume before trying to blank it.  
Was k3b being used from the Gnome desktop, or the KDE desktop?  Perhaps k3b 
doesn't do the right thing when used from a Gnome desktop.
Comment 7 petrosyan 2008-03-09 23:49:30 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.